
package de.ivu.elect.business.wahl.boundary;

import java.io.Serializable;

import de.ivu.elect.business.wahl.entity.Wahltermin;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class WahlterminFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public Wahltermin create() {
        Wahltermin entity = new Wahltermin(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(Wahltermin entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
